package com.yidian.bcommon.http.bean

import com.google.gson.annotations.SerializedName

/**
 * author: yinjiacheng
 * date: 7/17/21 1:26 AM
 * description: ydjira.yidian-inc.com/rest/api/2/issue
 */
class CommitFeedbackBean {
  data class CommitFeedbackRequest(
    @SerializedName("fields")
    val fields: Fields,
  )

  data class Fields(
    @SerializedName("assignee")
    val assignee: Assignee,
    @SerializedName("description")
    val description: String,
    @SerializedName("issuetype")
    val issuetype: Issuetype,
    @SerializedName("priority")
    val priority: Priority,
    @SerializedName("project")
    val project: Project,
    @SerializedName("summary")
    val summary: String,
  )

  data class Assignee(
    @SerializedName("name")
    val name: String
  )

  data class Issuetype(
    @SerializedName("id")
    val id: String
  )

  data class Priority(
    @SerializedName("id")
    val id: String
  )

  data class Project(
    @SerializedName("id")
    val id: String
  )

  data class CommitFeedbackResponse(
    @SerializedName("id")
    val id: String,
    @SerializedName("key")
    val key: String,
    @SerializedName("self")
    val self: String
  )

}
